import Vue from 'vue'
import Vuex from "vuex";
import app from "./modules/app";
import dataset from "./modules/dataset";
import menudata from "./modules/menudata";
import dicts from './modules/dict'
import mapInit from './modules/mapInit';


Vue.use(Vuex);

const store = new Vuex.Store({
  modules: {
    app,
    dataset,
    menudata,
    dicts,
    mapInit
  },
  getters: {
    menu: state => state.app.menu,
  }
});

export default store;
